Update Sources
Request to update the Sources section.
Request
| Property | Value |
|---|---|
| Method | PUT |
| URL | https://api.stormstreaming.com/api/request/stream/{stream_key}/sources |
| Authentication | x-api-key header |
URL Parameters:
| Parameter | Description |
|---|---|
{stream_key} | The stream key of the stream you wish to modify |
Request
curl -X PUT "https://api.stormstreaming.com/api/request/stream/{stream_key}/sources" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"sourceType": "PUSH"
}'
Request Body
| Field | Default | Required | Validation | Description |
|---|---|---|---|---|
sourceType | PUSH | No | String PUSH/PULL | PUSH for encoders (OBS, XSplit), PULL for external streaming servers |
sourceId | - | If sourceType=PULL | Int | Source ID from stream-sources |
Request Body
{
"sourceType": "PULL",
"sourceId": 53
}
Response
| Parameter | Type | Description |
|---|---|---|
message | string | Response status message |
Successful Response (200)
{
"message": "Stream has been updated."
}
Support Needed?
Create a free ticket and our support team will provide you necessary assistance.